Name:          je
Version:       3.3.75
%define        subrel 1
Release:       %mkrel 3
Summary:       Berkeley DB Java Edition
Group:         Development/Java
License:       BSD, GPL, Sleepycat Public License
Url:           http://www.oracle.com/
Source0:       http://obsearch.net/repository/com/sleepycat/je/%{version}/je-%{version}-sources.jar
Source1:       je-%{version}-build.xml
Source2:       http://maven.glassfish.org/content/groups/glassfish/com/sleepycat/je/%{version}/je-%{version}.pom
BuildRequires: ant
BuildRequires: geronimo-j2ee-connector-1_5-api
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: mx4j
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Berkeley DB Java Edition is a high performance, transactional storage
engine written entirely in Java. Like the highly successful Berkeley DB
product, Berkeley DB Java Edition executes in the address space of the
application, without the overhead of client/server communication. It
stores data in the application's native format, so no runtime data
translation is required. Berkeley DB Java Edition supports full ACID
transactions and recovery. It provides an easy-to-use, programmatic
interface, allowing developers to store and retrieve information
quickly, simply and reliably.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup  -T -q -c je-%{version}

mkdir -p src
(
  cd src
  unzip %{SOURCE0}
)

cp -pr %{SOURCE1} build.xml

%build

ant 

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat May 16 2015 neoclust <neoclust> 3.3.75-3.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 umeabot <umeabot> 3.3.75-3.mga4
+ Revision: 506361
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.3.75-2.mga3
+ Revision: 355300
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 12 2011 dmorgan <dmorgan> 3.3.75-1.mga2
+ Revision: 132816
- Clean spec file

  + gil <gil>
    - edit spec file
    - imported package je

